# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define name			qexchange
%define version		1.0.0
%define release		%mkrel 1


Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Qt4 exchange calculator
URL:			https://sourceforge.net/projects/qexchange.berlios/
Group:			Finance
License:		GPL v3
Source:			%{name}-%{version}.tar.xz
BuildRequires: 	libqt4-devel
BuildRequires: 	libqwt-devel
Requires:		libqwt5
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
QExchange is a Qt4 exchange calculator.

Some features:
- Daily and historical rates available, exchange calculation at present day and in past days
- Chart view of historical rates trend
- Exchange rates network update from European Central Bank

%prep
%setup -q

%build
qmake
%make

%install
%__rm -rf %buildroot

# Copy the executable to %bindir
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp %{name} ${RPM_BUILD_ROOT}%{_bindir}

# Copy miscellaneous files to %docdir
mkdir -p ${RPM_BUILD_ROOT}%{_docdir}/%{name}/
cp AUTHORS ChangeLog COPYING LICENSE README ${RPM_BUILD_ROOT}%{_docdir}/%{name}/

# Create a desktop file
mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=QExchange
Comment=Qt4 exchange calculator
Exec=qexchange
Icon=kwalletmanager.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Office;Finance;X-MandrakeLinux-MoreApplications-Finances;
EOF

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_docdir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Jul 09 2012 Neal <nealbrks0 at gmail dot com> 1.0.0-1pclos2012
- add BuildRequires: 	libqwt-devel
- process

* Mon Jul 09 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0.0-1_archie_2012
- Create package
